aboutsummaryrefslogtreecommitdiffstats
path: root/community/lua-dromozoa-utf8/test.sh.patch
blob: ea0ac1c88d0389f81439e36662db4701b3e9befe (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
Don't overwhelm console with test output...

--- a/test.sh
+++ b/test.sh
@@ -24,7 +24,11 @@
 do
   case X$# in
     X0) lua "$i";;
-    *) "$@" "$i";;
+    *) "$@" "$i" > "${i%.lua}.out" 2>&1 || {
+         echo "Tests failed, printing last 30 lines of the output..."
+         tail -n 30 "${i%.lua}.out"
+         exit 1
+       };;
   esac
 done